import 'dart:io';

import 'package:flutter/material.dart';
import 'package:image_picker/image_picker.dart';
import 'package:ocg_app/ocg_app.dart';

import 'ui_helper.dart';

class ImageHelper {
  final BuildContext context;

  ImageHelper._(this.context);

  factory ImageHelper.of(BuildContext context) {
    return ImageHelper._(context);
  }

  Future<File> pickImage({bool isCompress = false}) async {
    try {
      String value = await AppUIHelper.of(context)
          .showModalDialog(context, ["Camera", "Gallery"]);
      PickedFile file = await ImagePicker().getImage(
          source: value == 'Camera' ? ImageSource.camera : ImageSource.gallery,
          imageQuality: isCompress ? 50 : 100);
      return File(file.path);
    } catch (e) {
      return null;
    }
  }
}
