import 'package:ocg_app/ocg_app.dart';

abstract class Crud<T> {
  Future<AppResponse<String>> create(T object);
  Future<AppResponse<T>> read(String id);
  Future<AppResponse<bool>> update(T object);
  Future<AppResponse<bool>> delete(String id);
  Future<AppResponse<List<T>>> getPage(T object, int count) {
    throw UnimplementedError();
  }

  @Deprecated("Please use getPage")
  Future<AppResponse<List<T>>> getList({
    int page = 1,
    int count = 10,
  });
}
